%{!?python_sitelib: %global python_sitelib %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global         pkgname sabctools

Name:           python-sabctools
Version:        8.2.5
Release:        1%{?dist}
Summary:        C implementations of functions for use within SABnzbd
License:        GPLv2
URL:            https://github.com/sabnzbd/sabctools
Source0:        https://github.com/sabnzbd/sabctools/archive/v%{version}.tar.gz

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-chardet
BuildRequires:  python3-portend

Requires:       python >= 3

%global _description %{expand:
This module implements three main sets of C implementations that are used within SABnzbd:

    yEnc decoding and encoding using SIMD routines
    CRC32 calculations
    Non-blocking SSL-socket reading
    Marking files as sparse
}

%description %_description

%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pkgname}}
Obsoletes: python3-sabyenc3 < 5.4.3-2

%description -n python3-%{pkgname} %_description

%prep
%autosetup -n %{pkgname}-%{version}
#rm -rf %{pkgname}.egg-info

%build
%py3_build

%install
%py3_install

#mv %{buildroot}/%{python3_sitearch}/sabyenc3`python-config --extension-suffix` %{buildroot}/%{python3_sitearch}/%{pkgname}.so

%check
%pytest

%files -n python3-%{pkgname}
%defattr(-,root,root,-)
%doc doc/* README.md LICENSE.md
%{python3_sitearch}/%{pkgname}/
%{python3_sitearch}/%{pkgname}-%{version}-*.egg-info

%changelog
* Tue Oct 08 2024 josef radinger <cheese@nosuchhost.net> - 8.2.5-1
- bump version

* Mon Mar 25 2024 josef radinger <cheese@nosuchhost.net> - 8.1.0-1
- bump version

* Tue May 02 2023 josef radinger <cheese@nosuchhost.net> - 7.0.2-2
- Obsolete python3-sabyenc3

* Tue May 02 2023 josef radinger <cheese@nosuchhost.net> - 7.0.2-1
- initial release



